% [gea] = gei2gea(gei, inclination) transform gei coordinates into gea
% or mei to mea...(its the same transformation, except for 'marsinclination' when you call the function. 
%
% Initial version: Magnus Billvik, Swedish Institute of Space Physics,
%Uppsala, June 2005

function [gea] = gei2gea(gei, inclination)

gea=ones(size(gei));    % declare the variabel before to speed up the loop!

T=P(inclination); 

for i=1:length(gea)
    gea(:,i)=T*gei(:,i);
end
