% [mei] = mea2mei(mea) transform mea coordinates into mei
%
%Initial version: Niklas Edberg, Swedish Institute of Space Physics, Uppsala, Oct 2005

function [mei] = mea2mei(mea, inclination)

mei=ones(size(mea));    % declare the variabel before to speed up the loop!

T=P(-inclination); 

for i=1:length(mea)
    mei(:,i)=T*mea(:,i);
end